MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IArbitraryVector Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IArbitraryVector:

## Public Member Functions
float[] | ReadVectorValues (EAxis axis)
| Returns list of vector values More...
void | WriteVectorValues (EAxis axis, float[] values, int startIndex=0)
| Sets list of vector values More...
EUnitType | ReadUnitType (EAxis axis)
| Returns vector unit type More...
void | WriteUnitType (EAxis axis, EUnitType unit)
| Sets vector unit type More...
bool | IsRunning (EAxis axis)
| Returns status of signal generator (running, stopped). More...
void | SwitchArbitraryVector (EAxis axis, bool running)
| Sets status of signal generator (running, stopped). More...
float | ReadSampleRate (EAxis axis)
| Returns sample rate in Hz. More...
void | WriteSampleRate (EAxis axis, float value)
| Sets sample rate in Hz. More...
float | ReadMinimumSamplingRate (EAxis axis)
| Returns minimum sampling rate in Hz. More...
float | ReadMaximumSamplingRate (EAxis axis)
| Returns maximum sampling rate in Hz. More...
int | ReadCycles (EAxis axis)
| Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping. More...
void | WriteCycles (EAxis axis, int cycles)
| Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping. More...
bool | ReadExternalTrigger (EAxis axis)
| Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal. More...
void | WriteExternalTrigger (EAxis axis, bool trigger)
| Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal. More...

## Member Function Documentation

## ◆ IsRunning()

bool MrE2ModuleSdk.Device.IArbitraryVector.IsRunning | ( | EAxis | axis | ) |

Returns status of signal generator (running, stopped).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadCycles()

int MrE2ModuleSdk.Device.IArbitraryVector.ReadCycles | ( | EAxis | axis | ) |

Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadExternalTrigger()

bool MrE2ModuleSdk.Device.IArbitraryVector.ReadExternalTrigger | ( | EAxis | axis | ) |

Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadMaximumSamplingRate()

float MrE2ModuleSdk.Device.IArbitraryVector.ReadMaximumSamplingRate | ( | EAxis | axis | ) |

Returns maximum sampling rate in Hz.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadMinimumSamplingRate()

float MrE2ModuleSdk.Device.IArbitraryVector.ReadMinimumSamplingRate | ( | EAxis | axis | ) |

Returns minimum sampling rate in Hz.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadSampleRate()

float MrE2ModuleSdk.Device.IArbitraryVector.ReadSampleRate | ( | EAxis | axis | ) |

Returns sample rate in Hz.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadUnitType()

EUnitType MrE2ModuleSdk.Device.IArbitraryVector.ReadUnitType | ( | EAxis | axis | ) |

Returns vector unit type

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadVectorValues()

float [] MrE2ModuleSdk.Device.IArbitraryVector.ReadVectorValues | ( | EAxis | axis | ) |

Returns list of vector values

Returns

## ◆ SwitchArbitraryVector()

void MrE2ModuleSdk.Device.IArbitraryVector.SwitchArbitraryVector | ( | EAxis | axis,
|  | bool | running
| ) |  |

Sets status of signal generator (running, stopped).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteCycles()

void MrE2ModuleSdk.Device.IArbitraryVector.WriteCycles | ( | EAxis | axis,
|  | int | cycles
| ) |  |

Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteExternalTrigger()

void MrE2ModuleSdk.Device.IArbitraryVector.WriteExternalTrigger | ( | EAxis | axis,
|  | bool | trigger
| ) |  |

Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteSampleRate()

void MrE2ModuleSdk.Device.IArbitraryVector.WriteSampleRate | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets sample rate in Hz.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteUnitType()

void MrE2ModuleSdk.Device.IArbitraryVector.WriteUnitType | ( | EAxis | axis,
|  | EUnitType | unit
| ) |  |

Sets vector unit type

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteVectorValues()

void MrE2ModuleSdk.Device.IArbitraryVector.WriteVectorValues | ( | EAxis | axis,
|  | float[] | values,
|  | int | startIndex = `0`
| ) |  |

Sets list of vector values

Parameters

  values | List of vector values

Returns

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs